Trouble with Appointments + communicating with my calendar

I've upgraded from 1.7 to the latest 1.8 and now when I try to use the system I see that my calendar connector reports: There was an error loading your calendars. When I initially configure it, I am able to select the proper calendar but then after a while it shows the red error message.

Google Calendar API: Select Your Calendar

Select the Calendar you want to work with Appointments. This setting is optional as every Service Provider can select their own calendar from their Profile Settings.

Calendar <RED>There was an error loading your calendars.</RED>
API Mode: Appointments+ <-> GCAL